import axios from '../http'

export default {
  /**
   * 获取随机数
   */
  getRandom (params) {
    return axios.get('user/random', { params })
  },
  /**
   * 获取随机数 针对内嵌版本
   */
  getRandom2 (params) {
    return axios.get('user/random2', { params })
  },
  /**
   * EOS登录
   */
  eosLogin (params) {
    return axios.post('user/eosLogin', params)
  },
  /**
   * EOS登录 针对内嵌版本
   */
  eosLogin2 (params) {
    return axios.post('user/eosLogin2', params)
  },
  /**
   * EOS账号绑定
   */
  eosBind (data) {
    return axios.request({
      url: 'user/eosBind',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * ETH登录
   */
  ethLogin (params) {
    return axios.post('user/ethLogin', params)
  },
  /**
   * ETH绑定
   */
  ethBind (data) {
    return axios.request({
      url: 'user/ethBind',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * 解绑账号
   */
  unBind (data) {
    return axios.request({
      url: 'user/unbind',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * 修改用户名
   */
  changeUserName (data) {
    return axios.request({
      url: 'user/changeUserName',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * 修改昵称
   */
  changeNickName (data) {
    return axios.request({
      url: 'user/changeNickName',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * 修改头像
   */
  changePhoto (data) {
    return axios.request({
      url: 'user/changePhoto',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * 第三方账号是否可见
   */
  setVisible (data) {
    return axios.request({
      url: 'user/setVisible',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * 账户个人信息
   */
  getInfo (params) {
    return axios.request({
      url: 'user/info',
      method: 'get',
      needLogin: true,
      params
    })
  },
  /**
   * 他人信息
   */
  getOtherInfo (params) {
    return axios.request({
      url: 'user/info',
      method: 'get',
      needLogin: false,
      params
    })
  }
}
